<?php

if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly
}

header("Content-type: text/css; charset: UTF-8");

$background_color = isset( $data['easy_booking_background_color'] ) ? $data['easy_booking_background_color'] : '#FFFFFF';
$main_color = isset( $data['easy_booking_main_color'] ) ? $data['easy_booking_main_color'] : '#0089EC';
$text_color = isset( $data['easy_booking_text_color'] ) ? $data['easy_booking_text_color'] : '#000000';

function classicAdjustBrightness($hex, $steps) {
    // Steps should be between -255 and 255. Negative = darker, positive = lighter
    $steps = max(-255, min(255, $steps));

    // Format the hex color string
    $hex = str_replace('#', '', $hex);
    if (strlen($hex) == 3) {
        $hex = str_repeat(substr($hex,0,1), 2).str_repeat(substr($hex,1,1), 2).str_repeat(substr($hex,2,1), 2);
    }

    // Get decimal values
    $r = hexdec(substr($hex,0,2));
    $g = hexdec(substr($hex,2,2));
    $b = hexdec(substr($hex,4,2));

    // Adjust number of steps and keep it inside 0 to 255
    $r = max(0,min(255,$r + $steps));
    $g = max(0,min(255,$g + $steps));  
    $b = max(0,min(255,$b + $steps));

    $r_hex = str_pad(dechex($r), 2, '0', STR_PAD_LEFT);
    $g_hex = str_pad(dechex($g), 2, '0', STR_PAD_LEFT);
    $b_hex = str_pad(dechex($b), 2, '0', STR_PAD_LEFT);

    return '#'.$r_hex.$g_hex.$b_hex;
}

?>
.wceb_picker_wrap{position: relative;}.picker{width:100%;font-size:16px;text-align:left;line-height:1.2;color:<?php echo $text_color; ?>;position:absolute;z-index:10000;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none}.picker__input{cursor:default}.picker,.picker>*{outline: none;}.picker__input.picker__input--active{border-color:<?php echo $main_color; ?>}.picker__holder{width:100%;overflow-y:auto;-webkit-overflow-scrolling:touch}.picker__holder{position:absolute;background:<?php echo $background_color; ?>;border:1px solid <?php echo adjustBrightness($background_color, -75); ?>;border-top-width:0;border-bottom-width:0;-webkit-border-radius:0 0 5px 5px;-moz-border-radius:0 0 5px 5px;border-radius:0 0 5px 5px;-webkit-box-sizing:border-box;-moz-box-sizing:border-box;box-sizing:border-box;min-width:176px;max-width:466px;max-height:0;-ms-filter:"alpha(Opacity=0)";filter:alpha(opacity=0);-moz-opacity:0;opacity:0;-webkit-transform:translateY(-1em) perspective(600px) rotateX(10deg);-moz-transform:translateY(-1em) perspective(600px) rotateX(10deg);transform:translateY(-1em) perspective(600px) rotateX(10deg);-webkit-transition:-webkit-transform .15s ease-out,opacity .15s ease-out,max-height 0s .15s,border-width 0s .15s;-moz-transition:-moz-transform .15s ease-out,opacity .15s ease-out,max-height 0s .15s,border-width 0s .15s;transition:transform .15s ease-out,opacity .15s ease-out,max-height 0s .15s,border-width 0s .15s}.picker__frame{padding:1px}.picker__wrap{margin:-1px}.picker--opened .picker__holder{max-height:25em;-ms-filter:"alpha(Opacity=100)";filter:alpha(opacity=100);-moz-opacity:1;opacity:1;border-top-width:1px;border-bottom-width:1px;-webkit-transform:translateY(0) perspective(600px) rotateX(0);-moz-transform:translateY(0) perspective(600px) rotateX(0);transform:translateY(0) perspective(600px) rotateX(0);-webkit-transition:-webkit-transform .15s ease-out,opacity .15s ease-out,max-height 0s,border-width 0s;-moz-transition:-moz-transform .15s ease-out,opacity .15s ease-out,max-height 0s,border-width 0s;transition:transform .15s ease-out,opacity .15s ease-out,max-height 0s,border-width 0s;-webkit-box-shadow:0 6px 18px 1px rgba(0,0,0,.12);-moz-box-shadow:0 6px 18px 1px rgba(0,0,0,.12);box-shadow:0 6px 18px 1px rgba(0,0,0,.12)}.picker__box{padding:0 1em}.picker__header{text-align:center;position:relative;margin-top:.75em}.picker__month,.picker__year{font-weight:500;display:inline-block;margin-left:.25em;margin-right:.25em}.picker__year{color:<?php echo adjustBrightness($background_color, -100); ?>;font-size:.8em;font-style:italic}.picker__select--month,.picker__select--year{border:1px solid <?php echo adjustBrightness($background_color, -50); ?>;height:2em;padding:.5em;margin-left:.25em;margin-right:.25em}@media (min-width:24.5em){.picker__select--month,.picker__select--year{margin-top:-.5em}}.picker__select--month{width:35%}.picker__select--year{width:22.5%}.picker__select--month:focus,.picker__select--year:focus{border-color:<?php echo $main_color; ?>}.picker__nav--next,.picker__nav--prev{position:absolute;padding:.5em 1.25em;width:1em;height:1em;box-sizing:content-box;top:-.25em}@media (min-width:24.5em){.picker__nav--next,.picker__nav--prev{top:-.33em}}.picker__nav--prev{left:-1em;padding-right:1.25em}@media (min-width:24.5em){.picker__nav--prev{padding-right:1.5em}}.picker__nav--next{right:-1em;padding-left:1.25em}@media (min-width:24.5em){.picker__nav--next{padding-left:1.5em}}.picker__nav--next:before,.picker__nav--prev:before{content:" ";border-top:.5em solid transparent;border-bottom:.5em solid transparent;border-right:.75em solid <?php echo $text_color; ?>;width:0;height:0;display:block;margin:0 auto}.picker__nav--next:before{border-right:0;border-left:.75em solid <?php echo $text_color; ?>}.picker__nav--next:hover,.picker__nav--prev:hover{cursor:pointer;color:<?php echo $text_color; ?>;background:<?php echo adjustBrightness($main_color, 75); ?>}.picker__nav--disabled,.picker__nav--disabled:before,.picker__nav--disabled:before:hover,.picker__nav--disabled:hover{cursor:default;background:0 0;border-right-color:<?php echo adjustBrightness($background_color, -10); ?>;border-left-color:<?php echo adjustBrightness($background_color, -10); ?>}.picker__table{text-align:center;border-collapse:collapse;border-spacing:0;table-layout:fixed;font-size:inherit;width:100%;margin-top:.75em;margin-bottom:.5em}@media (min-height:33.875em){.picker__table{margin-bottom:.75em}}.picker__table td{margin:0;padding:0}.picker__weekday{width:14.285714286%;font-size:.75em;padding-bottom:.25em;color:<?php echo adjustBrightness($background_color, -100); ?>;font-weight:500;text-align:center}@media (min-height:33.875em){.picker__weekday{padding-bottom:.5em}}.picker__day{padding:.3125em 0;font-weight:200;border:1px solid transparent;text-align:center}.picker__day--today{position:relative}.picker__day--today:before{content:" ";position:absolute;top:2px;right:2px;width:0;height:0;border-top:.5em solid <?php echo adjustBrightness($main_color, -50); ?>;border-left:.5em solid transparent}.picker__day--disabled:before{border-top-color:<?php echo adjustBrightness($background_color, -75); ?>}.picker__day--outfocus{color:#ddd}.picker__day--infocus:hover,.picker__day--outfocus:hover{cursor:pointer;color:<?php echo $text_color; ?>;background:<?php echo adjustBrightness($main_color, 75); ?>}.picker__day--highlighted{border-color:<?php echo $main_color; ?>}.picker--focused .picker__day--highlighted,.picker__day--highlighted:hover{cursor:pointer;color:<?php echo $text_color; ?>;background:<?php echo adjustBrightness($main_color, 75); ?>}.picker--focused .picker__day--selected,.picker__day--selected,.picker__day--selected:hover{background:<?php echo $main_color; ?>;color:<?php echo $background_color; ?>}.picker--focused .picker__day--disabled,.picker__day--disabled,.picker__day--disabled:hover{background:<?php echo adjustBrightness($background_color, -10); ?>;border-color:<?php echo adjustBrightness($background_color, -10); ?>;color:#ddd;cursor:default}.picker__day--highlighted.picker__day--disabled,.picker__day--highlighted.picker__day--disabled:hover{background:<?php echo adjustBrightness($background_color, -50); ?>}.picker__footer{text-align:center}.picker__button--clear,.picker__button--close,.picker__button--today{border:1px solid <?php echo $background_color; ?>;background:<?php echo $background_color; ?>;font-size:.8em;padding:.66em 0;font-weight:700;width:33%;display:inline-block;vertical-align:bottom;color:<?php echo $text_color; ?>}.picker__button--clear:hover,.picker__button--close:hover,.picker__button--today:hover{cursor:pointer;color:<?php echo $text_color; ?>;background:<?php echo adjustBrightness($main_color, 75); ?>;border-bottom-color:<?php echo adjustBrightness($main_color, 75); ?>}.picker__button--clear:focus,.picker__button--close:focus,.picker__button--today:focus{background:<?php echo adjustBrightness($main_color, 75); ?>;border-color:<?php echo $main_color; ?>;outline:0}.picker__button--clear:before,.picker__button--close:before,.picker__button--today:before{position:relative;display:inline-block;height:0}.picker__button--clear:before,.picker__button--today:before{content:" ";margin-right:.45em}.picker__button--today:before{top:-.05em;width:0;border-top:.66em solid <?php echo adjustBrightness($main_color, -50); ?>;border-left:.66em solid transparent}.picker__button--clear:before{top:-.25em;width:.66em;border-top:3px solid #e20}.picker__button--close:before{content:"\D7";top:-.1em;vertical-align:top;font-size:1.1em;margin-right:.35em;color:<?php echo adjustBrightness($background_color, -150); ?>}.picker__button--today[disabled],.picker__button--today[disabled]:hover{background:<?php echo adjustBrightness($background_color, -10); ?>;border-color:<?php echo adjustBrightness($background_color, -10); ?>;color:#ddd;cursor:default}.picker__button--today[disabled]:before{border-top-color:<?php echo adjustBrightness($background_color, -75); ?>}